summaryrefslogtreecommitdiffstats
path: root/source/l/qt5/qt5.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/qt5/qt5.SlackBuild')
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild23
1 files changed, 9 insertions, 14 deletions
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index 9ffabd277..01100bd98 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -118,32 +118,29 @@ else
fi
# Fix path to mysql header:
-cat $CWD/patches/qt5.mysql.h.diff | patch -p1 --verbose || exit 1
+zcat $CWD/patches/qt5.mysql.h.diff.gz | patch -p1 --verbose || exit 1
# CMake generates wrong -isystem /usr/include compilations flags with Qt5::Gui
# and for it breaks KWin compilation with:
# /usr/include/c++/9.1.0/cstdlib:75:15: fatal error: stdlib.h: No such file or directory
# See also https://bugzilla.redhat.com/1704474
cd qtbase
- cat $CWD/patches/qt5.qtbase_cmake_isystem_includes.patch \
- | patch -p1 --verbose || exit 1
+ zcat $CWD/patches/qt5.qtbase_cmake_isystem_includes.patch.gz | patch -p1 --verbose || exit 1
cd - 1>/dev/null
# CVE-2020-0569 (fixed in 5.14.0):
cd qtbase
- cat $CWD/patches/qt5.cve-2020-0569.patch \
- | patch -p1 --verbose || exit 1
+ zcat $CWD/patches/qt5.cve-2020-0569.patch.gz | patch -p1 --verbose || exit 1
cd - 1>/dev/null
# CVE-2020-0570 (fixed in 5.14.1):
cd qtbase
- cat $CWD/patches/qt5.cve-2020-0570.patch \
- | patch -p1 --verbose || exit 1
+ zcat $CWD/patches/qt5.cve-2020-0570.patch.gz | patch -p1 --verbose || exit 1
cd - 1>/dev/null
if ! pkg-config --exists libpulse 2>/dev/null ; then
# Forcibly disable pulseaudio in qtwebengine:
- cat $CWD/patches/qt5.pulseaudio.diff | patch -p1 --verbose || exit 1
+ zcat $CWD/patches/qt5.pulseaudio.diff.gz | patch -p1 --verbose || exit 1
# Disable pulseaudio in Qt5:
PACONF="-no-pulseaudio"
else
@@ -210,12 +207,11 @@ export QT_PLUGIN_PATH="${QTDIR}/qtbase/plugins"
make $NUMJOBS || make || exit 1
make install INSTALL_ROOT=$PKG || exit 1
-# Strip binaries the Slackware way:
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
# Remove rpaths:
-for file in $(find . | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : 2> /dev/null) ; do
+for file in $(find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : 2> /dev/null) ; do
if [ ! "$(patchelf --print-rpath $file 2> /dev/null)" = "" ]; then
patchelf --remove-rpath $file
fi
@@ -334,8 +330,7 @@ fi
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $TMP/$PKGNAM-$PKGVER-$ARCH-$BUILD.txz
-